Add case vouchers
curl --request POST \
--url https://api.debbiecollect.com/v1/{tenantId}/customers/{customerId}/add-case-vouchers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseVouchers": [
{
"currency": "DKK",
"amount": -100000,
"referenceId": "D12412347",
"text": "J.no. 1234",
"date": "2024-05-28 00:00:00.000+01",
"source": "CREDITOR",
"voucherTypeId": "eb41e58e-fccf-419d-a771-cd5027fe6e87"
}
]
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/customers/{customerId}/add-case-vouchers"
payload = { "caseVouchers": [
{
"currency": "DKK",
"amount": -100000,
"referenceId": "D12412347",
"text": "J.no. 1234",
"date": "2024-05-28 00:00:00.000+01",
"source": "CREDITOR",
"voucherTypeId": "eb41e58e-fccf-419d-a771-cd5027fe6e87"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseVouchers: [
{
currency: 'DKK',
amount: -100000,
referenceId: 'D12412347',
text: 'J.no. 1234',
date: '2024-05-28 00:00:00.000+01',
source: 'CREDITOR',
voucherTypeId: 'eb41e58e-fccf-419d-a771-cd5027fe6e87'
}
]
})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/customers/{customerId}/add-case-vouchers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"merged": true,
"caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"caseVoucherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]Customers
Add case vouchers
Add new case vouchers to a customer
POST
/
v1
/
{tenantId}
/
customers
/
{customerId}
/
add-case-vouchers
Add case vouchers
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the customer is related to
Customer id
Body
application/json
List of new case vouchers
⌘I